package com.jiuqi.db;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Statement;

public class DBStatement implements Statement {
   private Statement stmt;
   private Connection conn;

   public DBStatement(Statement aStmt, Connection aConn) {
      this.stmt = aStmt;
      this.conn = aConn;
      DBTrace.createConnection(this);
   }

   public ResultSet executeQuery(String string) throws SQLException {
      ResultSet rs = this.stmt.executeQuery(string);
      return new DBResultSet(this, rs);
   }

   public int executeUpdate(String string) throws SQLException {
      return this.stmt.executeUpdate(string);
   }

   public void close() throws SQLException {
      this.stmt.close();
      DBTrace.closeConnection(this);
   }

   public int getMaxFieldSize() throws SQLException {
      return this.stmt.getMaxFieldSize();
   }

   public void setMaxFieldSize(int int0) throws SQLException {
      this.stmt.setMaxFieldSize(int0);
   }

   public int getMaxRows() throws SQLException {
      return this.stmt.getMaxRows();
   }

   public void setMaxRows(int int0) throws SQLException {
      this.stmt.setMaxRows(int0);
   }

   public void setEscapeProcessing(boolean boolean0) throws SQLException {
      this.stmt.setEscapeProcessing(boolean0);
   }

   public int getQueryTimeout() throws SQLException {
      return this.stmt.getQueryTimeout();
   }

   public void setQueryTimeout(int int0) throws SQLException {
      this.stmt.setQueryTimeout(int0);
   }

   public void cancel() throws SQLException {
      this.stmt.cancel();
   }

   public SQLWarning getWarnings() throws SQLException {
      return this.stmt.getWarnings();
   }

   public void clearWarnings() throws SQLException {
      this.stmt.clearWarnings();
   }

   public void setCursorName(String string) throws SQLException {
      this.stmt.setCursorName(string);
   }

   public boolean execute(String string) throws SQLException {
      return this.stmt.execute(string);
   }

   public ResultSet getResultSet() throws SQLException {
      return this.stmt.getResultSet();
   }

   public int getUpdateCount() throws SQLException {
      return this.stmt.getUpdateCount();
   }

   public boolean getMoreResults() throws SQLException {
      return this.stmt.getMoreResults();
   }

   public void setFetchDirection(int int0) throws SQLException {
      this.stmt.setFetchDirection(int0);
   }

   public int getFetchDirection() throws SQLException {
      return this.stmt.getFetchDirection();
   }

   public void setFetchSize(int int0) throws SQLException {
      this.stmt.setFetchSize(int0);
   }

   public int getFetchSize() throws SQLException {
      return this.stmt.getFetchSize();
   }

   public int getResultSetConcurrency() throws SQLException {
      return this.stmt.getResultSetConcurrency();
   }

   public int getResultSetType() throws SQLException {
      return this.stmt.getResultSetType();
   }

   public void addBatch(String string) throws SQLException {
      this.stmt.addBatch(string);
   }

   public void clearBatch() throws SQLException {
      this.stmt.clearBatch();
   }

   public int[] executeBatch() throws SQLException {
      return this.stmt.executeBatch();
   }

   public Connection getConnection() throws SQLException {
      return this.conn;
   }

   public boolean getMoreResults(int int0) throws SQLException {
      return this.stmt.getMoreResults(int0);
   }

   public ResultSet getGeneratedKeys() throws SQLException {
      return this.stmt.getGeneratedKeys();
   }

   public int executeUpdate(String sql, int autoGeneratedKeys) throws SQLException {
      return this.stmt.executeUpdate(sql, autoGeneratedKeys);
   }

   public int executeUpdate(String sql, int[] columnIndexes) throws SQLException {
      return this.stmt.executeUpdate(sql, columnIndexes);
   }

   public int executeUpdate(String sql, String[] columnNames) throws SQLException {
      return this.stmt.executeUpdate(sql, columnNames);
   }

   public boolean execute(String sql, int autoGeneratedKeys) throws SQLException {
      return this.stmt.execute(sql, autoGeneratedKeys);
   }

   public boolean execute(String sql, int[] columnIndexes) throws SQLException {
      return this.stmt.execute(sql, columnIndexes);
   }

   public boolean execute(String sql, String[] columnNames) throws SQLException {
      return this.stmt.execute(sql, columnNames);
   }

   public int getResultSetHoldability() throws SQLException {
      return this.stmt.getResultSetHoldability();
   }
}
